# Android Device Provisioning Partner API

The API lets mobile device customers and EMMs programmatically manage zero-touch enrollment.

- [REST Resource: v1.customers](https://developers.google.com/zero-touch/reference/customer/rest#v1.customers)
- [REST Resource: v1.customers.configurations](https://developers.google.com/zero-touch/reference/customer/rest#v1.customers.configurations)
- [REST Resource: v1.customers.devices](https://developers.google.com/zero-touch/reference/customer/rest#v1.customers.devices)
- [REST Resource: v1.customers.dpcs](https://developers.google.com/zero-touch/reference/customer/rest#v1.customers.dpcs)

## Service: androiddeviceprovisioning.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://androiddeviceprovisioning.googleapis.com/$discovery/rest?version=v1>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://androiddeviceprovisioning.googleapis.com`

## REST Resource: [v1.customers](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers)

| Methods ||
|---|---|
| `https://developers.google.com/zero-touch/reference/customer/rest/v1/customers/list` | `GET /v1/customers` Lists the user's customer accounts. |

## REST Resource: [v1.customers.configurations](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations)

| Methods ||
|---|---|
| `https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations/create` | `POST /v1/{parent=customers/*}/configurations` Creates a new configuration. |
| `https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations/delete` | `DELETE /v1/{name=customers/*/configurations/*}` Deletes an unused configuration. |
| `https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations/get` | `GET /v1/{name=customers/*/configurations/*}` Gets the details of a configuration. |
| `https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations/list` | `GET /v1/{parent=customers/*}/configurations` Lists a customer's configurations. |
| `https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.configurations/patch` | `PATCH /v1/{configuration.name=customers/*/configurations/*}` Updates a configuration's field values. |

## REST Resource: [v1.customers.devices](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.devices)

| Methods ||
|---|---|
| `https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.devices/applyConfiguration` | `POST /v1/{parent=customers/*}/devices:applyConfiguration` Applies a Configuration to the device to register the device for zero-touch enrollment. |
| `https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.devices/get` | `GET /v1/{name=customers/*/devices/*}` Gets the details of a device. |
| `https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.devices/list` | `GET /v1/{parent=customers/*}/devices` Lists a customer's devices. |
| `https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.devices/removeConfiguration` | `POST /v1/{parent=customers/*}/devices:removeConfiguration` Removes a configuration from device. |
| `https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.devices/unclaim` | `POST /v1/{parent=customers/*}/devices:unclaim` Unclaims a device from a customer and removes it from zero-touch enrollment. |

## REST Resource: [v1.customers.dpcs](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.dpcs)

| Methods ||
|---|---|
| `https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.dpcs/list` | `GET /v1/{parent=customers/*}/dpcs` Lists the DPCs (device policy controllers) that support zero-touch enrollment. |